Skip to main content
GET
/
v1
/
raw
/
youtube
/
channel
/
{handle}
cURL
curl --request GET \
  --url https://api.influship.com/v1/raw/youtube/channel/{handle} \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "channel_id": "UCBJycsmduvYEL83R_U4JriQ",
    "handle": "mkbhd",
    "name": "Marques Brownlee",
    "description": "<string>",
    "avatar_url": "<string>",
    "banner_url": "<string>",
    "country": "US",
    "keywords": [
      "<string>"
    ],
    "subscribers": 20900000,
    "subscribers_text": "20.9M subscribers",
    "videos_count": 1500,
    "views_total": 4500000000,
    "videos": [
      {
        "video_id": "dQw4w9WgXcQ",
        "title": "Full Body Workout | 30 Minutes",
        "url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ",
        "thumbnail_url": "<string>",
        "published_text": "2 weeks ago",
        "duration_seconds": 1845,
        "duration_text": "30:45",
        "view_count": 125000,
        "view_count_text": "125K views"
      }
    ],
    "scraped_at": "2024-01-15T14:30:00Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.influship.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

handle
string
required

YouTube channel handle

Minimum string length: 1
Example:

"@techreviews"

Query Parameters

include_videos
boolean

Include recent videos in response

Example:

true

video_limit
integer
default:12

Number of videos to include

Required range: 1 <= x <= 50
Example:

12

Response

Successful response

data
object
required